Specify a valid MIME type, encryption, and whether to sign the UserSession.putFile.

### Hierarchy

- PutFileOptions

## Index

### Properties

- contentType
- encrypt
- sign

## Properties

### Optional contentType

contentType: string

- Defined in src/storage/index.ts:49

Set a Content-Type header for unencrypted data.

### Optional encrypt

encrypt: boolean | string

- Defined in src/storage/index.ts:37

Encrypt the data with the app public key. If a string is specified, it is used as the public key. If the boolean `true` is specified then the current user's app public key is used.

default

  true

### Optional sign

sign: boolean | string

- Defined in src/storage/index.ts:45

If set to `true` the data is signed using ECDSA on SHA256 hashes with the user's app private key. If a string is specified, it is used as the private key instead of the user's app private key.

default

  false

Generated using TypeDoc